/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package agent.panel;

import agent.modules.Environment;
import edu.memphis.ccrg.lida.framework.ModuleName;
import edu.memphis.ccrg.lida.framework.gui.panels.GuiPanelImpl;
import java.util.List;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Francesco
 */
public class PanelEnvironment extends GuiPanelImpl {

    Environment environment;

    /**
     * Creates new form PanelEnvironment
     */
    public PanelEnvironment() {
        initComponents();
    }

    @Override
    public void refresh() {
        environment = (Environment) agent.getSubmodule(ModuleName.Environment);
        textRes.setText("" + environment.getRes());
        textNum1.setText("" + environment.getNum1());
        textNum2.setText("" + environment.getNum2());
    }

    @Override
    public void initPanel(String[] param) {
        environment = (Environment) agent.getSubmodule(ModuleName.Environment);
        if (environment != null) {
            int num1 = environment.getNum1();
            int num2 = environment.getNum2();
            textNum1.setText("" + num1);
            textNum2.setText("" + num2);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        textNum1 = new javax.swing.JLabel();
        textNum2 = new javax.swing.JLabel();
        textRes = new javax.swing.JLabel();

        textNum1.setText("Num1");

        textNum2.setText("Num2");

        textRes.setText("Res:");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(77, 77, 77)
                .addComponent(textNum1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 163, Short.MAX_VALUE)
                .addComponent(textNum2)
                .addGap(84, 84, 84))
            .addGroup(layout.createSequentialGroup()
                .addGap(181, 181, 181)
                .addComponent(textRes)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(67, 67, 67)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(textNum1)
                    .addComponent(textNum2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 114, Short.MAX_VALUE)
                .addComponent(textRes)
                .addGap(87, 87, 87))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel textNum1;
    private javax.swing.JLabel textNum2;
    private javax.swing.JLabel textRes;
    // End of variables declaration//GEN-END:variables
}
